Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.jsp
Class PortletJspBase

    java.lang.Object
      com.bea.portlet.jsp.PortletJspBase

All Implemented Interfaces:
  HttpJspPage, JspPage, Servlet

public abstract class PortletJspBase
extends Object
implements Servlet, HttpJspPage

A base class for JSP pages included within portlets conforming to the Java portlet API.

This base class ensures that the following variables are automatically availaPortletble in the JSP:

`portletRequest`: An object implementing the `javax.portlet.PortletRequest` interface.
`renderResponse`: An object implementing the `javax.portlet.RenderResponse` interface.
`portletConfig`: An object implementing the `javax.portlet.PortletConfig` interface.

Portlet JSP pages could either extend this class explicitly as in `<%@page extends="com.bea.portlet.jsp.PortletJspBase"%>`, or all JSP pages in a web app extend this class automatically by specifying the following in weblogic.xml.

        <jsp-descriptor>
           <jsp-param>
              <param-name>superclass</param-name>
              <param-value>com.bea.portlet.jsp.PortletJspBase</param-value>
           </jsp-param>
        </jsp-descriptor>

See Also:
  `RenderRequest`, `RenderResponse`, `PortletConfig`

Field Summary
`protected javax.portlet.PortletConfig` | `portletConfig`
`protected javax.portlet.RenderRequest` | `renderRequest`
`protected javax.portlet.RenderResponse` | `renderResponse`
`protected ServletConfig` | `servletConfig`

Constructor Summary
`PortletJspBase()`

Method Summary
`abstract void` | `_jspService(HttpServletRequest rq, HttpServletResponse rp)`
`void` | `destroy()`
`ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `init(ServletConfig config)`
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(ServletRequest request, ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    protected ServletConfig servletConfig

### renderRequest

    protected javax.portlet.RenderRequest renderRequest

### renderResponse

    protected javax.portlet.RenderResponse renderResponse

### portletConfig

    protected javax.portlet.PortletConfig portletConfig

Constructor Detail

### PortletJspBase

    public PortletJspBase()

Method Detail

### init

    public final void init(ServletConfig config)

  Specified by:
    `init` in interface `Servlet`

### getServletConfig

    public ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `Servlet`

### service

    public final void service(ServletRequest request,
                              ServletResponse response)
                       throws ServletException,
                              IOException

  Specified by:
    `service` in interface `Servlet`
  Throws:
    `ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `Servlet`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `Servlet`

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `JspPage`

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `JspPage`

### _jspService

    public abstract void _jspService(HttpServletRequest rq,
                                     HttpServletResponse rp)
                              throws ServletException,
                                     IOException

  Specified by:
    `_jspService` in interface `HttpJspPage`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved